import Intro from './components/Intro';
import Test from './components/Intro';
import {Navigate, Route, Routes} from 'react-router-dom';
import {FC} from 'react';
import Navbar from './components/Navbar';
import Levels from './components/Levels';
import Overview from './components/Overview';

const App: FC = () => {
  return (
    <>
      <div className="min-h-screen font-primary">
        <header>
          <Navbar />
        </header>
        <Routes>
          <Route path="/" element={<Navigate to="/intro" replace />} index />
          <Route path="intro" element={<Intro />} />
          <Route path="/levels" element={<Levels />} />
          <Route path="/overview" element={<Overview />} />
          <Route path="/test" element={<Test />} />
        </Routes>
      </div>
    </>
  );
};

export default App;
